%define patch_name	kernel-feat-net-ppp-mppe

Name:           %patch_name
Version:        20030707
Release:        alt2
Summary:        %patch_name kernel patch - Microsoft PPE support
License:        GPL
Group:          Development/Other
URL:            http://cvs.samba.org/cgi-bin/cvsweb/ppp/linux/mppe/
BuildArch:      noarch
BuildPreReq:    kernel-build-tools

%source  0	00_linux-2.4.19-%version-mppe.patch
%source 10	10_mppe-pcomp-fix.patch

Packager:	Kernel Maintainers Team <kernel@packages.altlinux.org>

%description
Microsoft Point-to-Point Encryption support

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Sat Apr 24 2004 Sergey Vlasov <vsu@altlinux.ru> 20030707-alt2
- Added:
  + 10_mppe-pcomp-fix.patch: fix interoperability problem with some
    implementations that perform protocol field compression for the encrypted
    data (the protocol field must be decompressed too).
- Spec file cleanup (use macros from kernel-build-tools).

* Fri Oct 03 2003 Andy Gorev <horror@altlinux.ru> 20030707-alt1
- Version changed to current CVS snapshot
- Old patch removed
- New patchset from current ppp CVS added
  Use CONFIG_PPP_MPPE=m to enable it
- URL added

* Wed Sep 10 2003 Rider <rider@altlinux.ru> 0.9.6b-alt3
- inlcude %{patches_dir} into package

* Wed Sep 03 2003 Rider <rider@altlinux.ru> 0.9.6b-alt2
- update for 2.4.22
- buildreq added

* Sat Jun 21 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6b-alt1
- initial release
